> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cald.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Buy a Phone Number

> Purchase a new phone number

<Info>Phone numbers through the API can currently only be purchased in the U.S., for other countries please contact support. U.S. phone numbers are priced at \$ 10.00 per month. If you cancel your phone number, you will be charged for the current month, but will not be charged again.</Info>


## OpenAPI

````yaml POST /phonenumbers
openapi: 3.0.1
info:
  title: AI Phone Call Service API
  description: >-
    API for managing AI-based phone calls, including call initiation and result
    retrieval.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://my.cald.ai/client/api/v1
security:
  - apiKeyAuth: []
paths:
  /phonenumbers:
    post:
      description: Purchase a new phone number
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                prefix:
                  type: string
                  description: >-
                    The prefix of the phone number, for example `+1415` for San
                    Francisco. Only US can currently be purchased through the
                    API, please contact us for other countries and we manually
                    add them for you
                  default: '+1415'
                agentId:
                  type: string
                  description: >-
                    The agent ID of the agent to use when an inbound call is
                    received on the phone number
      responses:
        '200':
          description: Success response with phone number details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PhoneNumber'
        '404':
          description: Agent not found
components:
  schemas:
    PhoneNumber:
      type: object
      properties:
        phoneNumberId:
          type: string
          description: The phone number ID of the phone number resource
        phoneNumber:
          type: string
          description: >-
            The phone number, prefixed with the country code, for example,
            `+1558873402`
        price:
          type: number
          description: The monthly price of the phone number in USD
        agentId:
          type: string
          description: >-
            The agent ID of the agent that the phone number is assigned to. When
            making inbound calls, the agent will be called.
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Your API key, e.g. `caldLiveDe39a3accb206dd615f30d118e519df0`

````